Plume API
Fun

/github/repository

Search a GitHub repository data

GET
/github/repository

Query Parameters

name*string

The repository name

Length1 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/github/repository?name=string"
{
  "name": "string",
  "full_name": "string",
  "description": "string",
  "url": "string",
  "owner_username": "string",
  "owner_avatar_url": "string",
  "language": "string",
  "license_name": "string",
  "disabled": true,
  "archived": true,
  "fork": true,
  "created_at_date": "string",
  "created_at": 0,
  "updated_at_date": "string",
  "updated_at": 0,
  "stargazers_count": 0,
  "forks_count": 0,
  "open_issues_count": 0
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}